<router-outlet></router-outlet>

<h1>Welcome to the best solution to task 29 - An introduction to Angular</h1>
<h2>🙌 All hail Larry Page and Sergey Brin, our overlords and saviours 🙌</h2>
<h3> Watch my <a href={{moves}}>moves.</a></h3>
<p>{{shoutOut}}</p>

<p> The answer is {{ answer }}. But what is the question?</p>

<ul>
  <p>
    Things to buy for surviving Corona:
  </p>
  <li *ngFor="let item of shoppingList">
    {{item}}
  </li>
</ul>

<div id="db">
 <p>{{bad}}</p>
<table>
  <tr>
    <th *ngFor="let item of dataBase | keyvalue">
      {{item.key}}
    </th>
  </tr>
  <tr>
    <td *ngFor="let item of dataBase | keyvalue">
      {{item.value}}
    </td>
  </tr>
</table>
</div>